### Function

# Shumate VectorValue new_from_value

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_value_new_from_value (
      const GValue* value
    )

#### Description [src]

Creates a new `ShumateVectorValue` from a `GValue`.

Available since: 1.6

#### Parameters

`value`

  Type: `GValue`

  A `GValue`.

  The data is owned by the caller of the function.

#### Return value

Type: `ShumateVectorValue`

A new `ShumateVectorValue` with the value from `value`.

The caller of the function takes ownership of the data, and is responsible for freeing it.